KPRINTER(1)

NAME
kprinter - a printer tool for KDE

SYNOPSIS
kprinter [Qt-options] [KDE-options] [options] file(s)

DESCRIPTION
KPrinter opens automatically when you click on the "Print" icon of any KDE application. Choose your print job settings by going through the dialog and then click on the "Print" button.

kprinter is a very versatile tool. Depending on the actual features and power of the print subsystem of your computer, kprinter translates the former's abilities into a nice and easy-to-understand GUI. If your print subsystem does not support duplexing, kprinter will not show the option. If your print subsystem is CUPS, kprinter is at its peak shape.

With KPrinter you can...

-   switch "on the fly" the print subsystem-to-use,

-   start the Add Printer Wizard,

-   choose the target printer,

-   possibly select one or more files to print,

-   drag'n'drop files for print,

-   check for or set the print options,

-   schedule the job for later printing,

-   tag the print job with accounting information for billing purposes,

-   set the job priority for a higher or lower level to influence the order of the job queue,

-   access the KDEPrint configurator,

-   and activate (or disable) a viewing filter that shows all or just the selected few printers relevant to the user.

OPTIONS

  Arguments:

  file(s) Files to load

  Options:

-c  Make an internal copy of the files to print

-P, -d <printer>
    Printer/destination to print on

-J, -t <title>
    Title/Name for the print job

-#, -n <number>
    Number of copies

-o  <option=value> Printer option

-j <mode>
    Job output mode (gui, console, none) [gui]

--system <printsys>
    Print system to use (lpd, cups)

--stdin
    Allow printing from STDIN

--nodialog
    Do not show the print dialog (print directly)

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit --nograb, use --dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  KDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

SEE ALSO

  Full user documentation is available through the KDE Help Center. You can also enter the URL
help:/kprinter/ directly into konqueror or you can run khelpcenter help:/kprinter/ from the command-line.

AUTHORS
Michael Goffioul <kdeprint@swing.be>
Please use http://bugs.kde.org to report bugs; do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.